package com.cf.imes.module.system.service.parser;


import com.cf.imes.module.system.controller.admin.parser.vo.ParserTemplateReqVO;
import com.cf.imes.module.system.controller.admin.parser.vo.ParserTemplateRespVO;
import com.cf.imes.module.system.controller.admin.parser.vo.TemplateLimitReqVO;
import com.cf.imes.module.system.controller.admin.parser.vo.TemplateSimpleRespVO;

import java.util.List;
import java.util.Map;

/**
 * @author 解析器模板管理 Service 接口
 */
public interface ParserTemplateService {


    void update(ParserTemplateReqVO reqVO);


    Map<Integer, List<ParserTemplateRespVO>> getParserTemplateTree(Long type);


    ParserTemplateRespVO getParserTemplate(Long id);


    void updateParserTemplateLimit(TemplateLimitReqVO reqVO);

    Map<Integer, List<TemplateSimpleRespVO>> getParserTemplateSimple(Long type);


    List<Long> getOrganParserTemplateLimit(Long organId);

}
